Arch::Library(3pm)

NAME
Arch::Library - access arch revision libraries

SYNOPSIS
    use Arch::Library;

    my $library = Arch::Library->new;

    my $rev  = 'migo@homemail.com--Perl-GPL/arch-perl--devel--0--patch-1';
    my $log  = $library->get_revision_log($rev);
    my $cset = $library->get_revision_changeset($rev);

DESCRIPTION
Arch::Library provides an interface to access pristine trees, changesets and logs stored in local revision libraries.

METHODS
The following common methods (inherited and pure virtual that this class implements) are documented in Arch::Storage:

new, init, working_name, working_names, fixup_name_alias, is_archive_managed, expanded_revisions.

archives, categories, branches, versions, revisions, get_revision_descs, expanded_archive_info, get_revision_changeset, get_changeset, get_revision_log, get_log.

Additionally, the following methods are available:

fallback_dir, working_revision, add_revision, find_revision_tree, find_tree.

fallback_dir [dir]
    Get or set the fallback directory. Defaults to "undef".

    If no revision library exists, the fallback directory will be used as revision library when adding revisions with add_revision.

working_revision [revision]
    Get or set the default revision for find_tree, get_changeset and get_log.

find_revision_tree revision [autoadd]
find_tree [autoadd]
    Returns the path to the revision library structure for revision revision or working_revision.

    Returns an empty string if revision is not in the revision library and autoadd is not set. If autoadd is set, revision will be added to the revision library.

BUGS
No known bugs.

AUTHORS
Mikhael Goikhman (migo@homemail.com--Perl-GPL/arch-perl--devel).

Enno Cramer (uebergeek@web.de--2003/arch-perl--devel).

SEE ALSO
For more information, see tla, Arch::Storage, Arch::Library.